/* -*- buffer-read-only: t -*- vi: set ro:
   THIS FILE IS GENERATED AUTOMATICALLY.  PLEASE DO NOT EDIT.
*/
enum state {
	st_none = -1,
	st_init,
	st_opts,
	st_conn,
	st_helo,
	st_mail,
	st_rcpt,
	st_data,
	st_hdrs,
	st_eohs,
	st_body,
	st_endm,
	st_quit,
	st_abrt,
	st_unkn,
	st_skip,
	st_last
};
char *state_name[] = {
	"init",
	"opts",
	"conn",
	"helo",
	"mail",
	"rcpt",
	"data",
	"hdrs",
	"eohs",
	"body",
	"endm",
	"quit",
	"abrt",
	"unkn",
	"skip",
};
char transtab[st_last][st_last] = {
	{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, },
	{ 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, },
	{ 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, },
	{ 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, },
	{ 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, },
	{ 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 1, 1, 0, },
	{ 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, },
	{ 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, },
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, },
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, },
	{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, },
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, },
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, },
	{ 0, 0, 0, 1, 1, 1, 1, 0, 0, 1, 0, 1, 1, 1, 0, },
	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, },
};
unsigned long state_nr_mask[] = {
	0,
	0,
	SMFIP_NR_CONN,
	SMFIP_NR_HELO,
	SMFIP_NR_MAIL,
	SMFIP_NR_RCPT,
	SMFIP_NR_DATA,
	0,
	0,
	SMFIP_NR_BODY,
	0,
	0,
	0,
	SMFIP_NR_UNKN,
	0,
};
